Skip to navigation

StepAudio 2.5 TTS

StepAudio 2.5 TTS
StepFun · Audio Generation
POST /v1/audio/speech

Contextual StepFun text-to-speech model with natural-language voice direction and expressive delivery.

See StepAudio 2.5 TTS pricing and specs or try it in the Playground.

At a glance

FieldValue
Model idstepaudio-2-5-tts
Model release date2026-04-21
Input modalitiesText
Output modalitiesAudio
Context window-
Weight precision-
RegionInternational
Featurestext_to_speech, contextual_tts, voice_control, multilingual
Native inferenceNo
NewNo
Supported endpointsPOST /v1/audio/speech, POST /v1/audio/speech:stream
Alternate model idsstepaudio-2.5-tts, stepfun/stepaudio-2-5-tts, stepfun/stepaudio-2.5-tts

Pricing

ChargeSpecRate
Synthesisper 10,000 characters$0.85

Example request

curl https://api.empiriolabs.ai/v1/audio/speech \
-H "Authorization: Bearer $EMPIRIOLABS_API_KEY" \
-H 'Content-Type: application/json' \
-d '{"model": "stepaudio-2-5-tts", "input": "Hello from EmpirioLabs."}'

Parameters

ParameterTypeRequiredDefaultDescription
inputstringyes-Text to synthesize. Maximum 1,000 characters. · Max: 1000
voiceenumno"lively-girl"Voice for the generated speech. · Allowed: lively-girl, vibrant-youth, soft-spoken-gentleman, magnetic-voiced-male, elegantgentle-female, livelybreezy-female, zixinnansheng
response_formatenumno"mp3"Output audio format. · Allowed: mp3, wav, flac, opus, pcm
speednumberno1.0Speech speed. · Range: 0.5 – 2
volumenumberno1.0Output volume. · Range: 0.1 – 2
sample_rateenumno24000Output sample rate in Hz. · Allowed: 8000, 16000, 22050, 24000
instructionstringno-Global emotion or style guidance. Maximum 200 characters. · Max: 200
pronunciation_mapobjectno-Optional pronunciation mapping.
markdown_filterbooleannofalseStrip Markdown syntax from the input before it is spoken.

Notes

Maximum input is 1,000 characters. Content in parentheses is treated as direction and is not spoken. Use instruction for global emotion or style guidance. StepAudio 2.5 TTS does not support voice_label.


Machine-readable schema: GET https://api.empiriolabs.ai/v1/models/stepaudio-2-5-tts.